OAuth::getRequestHeader
OAuth::setAuthType
OAuth
PHP Manual

# OAuth::getRequestToken

(PECL OAuth >= 0.99.1)

OAuth::getRequestToken — Fetch a request token

### Description

public array OAuth::getRequestToken ( string `$request_token_url` [, string `$callback_url` [, string `$http_method` ]] )

Fetch a request token, secret and any additional response parameters from the service provider.

### Parameters

`request_token_url`

  URL to the request token API.

`callback_url`

  OAuth callback URL. If `callback_url` is passed and is an empty value, it is set to "oob" to address the OAuth 2009.1 advisory.

`http_method`

  HTTP method to use, e.g. GET or POST.

### Return Values

Returns an array containing the parsed OAuth response on success or `FALSE` on failure.

### Changelog

Version | Description
--- | ---
1.0.0 | Previously returned `NULL` on failure, instead of `FALSE`.
0.99.9 | The `callback_url` parameter was added

### Examples

Example #1 OAuth::getRequestToken() example

`<?php
try {
$oauth = new OAuth(OAUTH_CONSUMER_KEY,OAUTH_CONSUMER_SECRET);
$request_token_info = $oauth->getRequestToken("https://example.com/oauth/request_token");
if(!empty($request_token_info)) {
print_r($request_token_info);
} else {
print "Failed fetching request token, response was: " . $oauth->getLastResponse();
}
} catch(OAuthException $E) {
echo "Response: ". $E->lastResponse . "\n";
}
?>`

The above example will output something similar to:

    Array
    (
        [oauth_token] => some_token
        [oauth_token_secret] => some_token_secret
    )

### See Also

- OAuth::getLastResponse() - Get the last response
- OAuth::getLastResponseInfo() - Get HTTP information about the last response

OAuth::getRequestHeader
OAuth::setAuthType
OAuth
PHP Manual